[vdr] Problem with vdr-1.4.4-1 and extrecmenu

Peter Pinnau vdr at unterbrecher.de
Sun Dec 3 15:06:59 CET 2006

I just applied the vdr-1.4.4-1 maintainance patch and some plugins 
failed to compile.
I could fix all problems within the plugins except for extrecmenu.

I got the following error:

In file included from patchfont.c:5:
../../../include/vdr/font.h:35: error: ISO C++ forbids declaration of 
   ' with no type
../../../include/vdr/font.h:35: error: Syntaxfehler before `;' token

and so on...

I found out that on my Debian-system uint32_t is declared in 
After including that file in include/vdr/font.h extrecmenu compiled again.

Regards Peter

More information about the vdr mailing list